# Gimp.Image.get_file

    @accepts(Gimp.Image)
    @returns(Gio.File)
    def get_file(self):
        # Python wrapper for gimp_image_get_file()

Returns the file for the specified image.

This procedure returns the file associated with the specified image. The image has a file only if it was loaded or imported from a file or has since been saved or exported. Otherwise, this function returns None. See also gimp-image-get-imported-file to get the current file if it was imported from a non-GIMP file format and not yet saved, or gimp-image-get-exported-file if the image has been exported to a non-GIMP file format.

Since 2.8

self

  The image.

Returns